Package org.bukkit.event.block

# Class BlockBurnEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockBurnEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockBurnEvent extends BlockEvent implements Cancellable
Called when a block is destroyed as a result of being burnt by fire.

If a Block Burn event is cancelled, the block will not be destroyed as a result of being burnt by fire.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockBurnEvent(@NotNull Block block)`
Deprecated.
`BlockBurnEvent(@NotNull Block block, @Nullable Block ignitingBlock)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Block`
`getIgnitingBlock()`
Gets the block which ignited this block.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockBurnEvent

@Deprecated public BlockBurnEvent(@NotNull @NotNull Block block)
Deprecated.

### BlockBurnEvent

public BlockBurnEvent(@NotNull @NotNull Block block, @Nullable @Nullable Block ignitingBlock)

## Method Details

### getIgnitingBlock

@Nullable public @Nullable Block getIgnitingBlock()
Gets the block which ignited this block.

Returns:
  The Block that ignited and burned this block, or null if no source block exists

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()